body.single-product {
    .ast-sticky-add-to-cart {
        border-top: 1px solid rgba(0, 0, 0, 0.20);
        background: #F1F1F1;
        backdrop-filter: blur(96px);
    }

    .ast-sticky-add-to-cart .ast-sticky-add-to-cart-content {
        min-height: 119px;
    }

    .ast-sticky-add-to-cart .ast-sticky-add-to-cart-content .ast-sticky-add-to-cart-title-wrap img {
        max-height: 84px;
        aspect-ratio: 1/1;
        border-radius: 8px;
        border: 1px solid #000;
    }

    .ast-sticky-add-to-cart .ast-sticky-add-to-cart-content .ast-sticky-add-to-cart-title-wrap .ast-sticky-add-to-cart-title {
        padding: 5px 20px;
        max-width: 320px;
        font-size: 18px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        word-break: break-word;
        color: black;
    }

    .ast-sticky-add-to-cart-action-wrap .cart {
        display: flex;
        align-items: center;
        gap: 32px;
    }

    .ast-sticky-add-to-cart-action-wrap .quantity {
        margin: 0;
        padding: 0;
        border-radius: 80px;
        border: 1px solid #000;

        * {
            margin: 0;
            padding: 0;
            width: auto;
            min-width: 48px;
            height: auto;
            min-height: 54px;
            background: transparent;
            border: none;
            color: #000;
            font-size: 24px;
            font-style: normal;
            font-weight: normal;
            line-height: normal;
        }
        input[type="number"] {
            font-size: 24px;
            font-weight: 600;
            letter-spacing: -0.04em;
        }
        .plus, .minus, .qty {
            border: none;
        }
    }

    .ast-sticky-add-to-cart-action-wrap .ast-sticky-add-to-cart-action-price {
        padding-right: 40px;
        font-size: 32px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        color: black;
    }

    .ast-sticky-add-to-cart-action-wrap .ast-sticky-add-to-cart-action-price del {
        color: #5C5C5C;
        font-size: 24px;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
        text-decoration-thickness: 1px;
        text-decoration-color: #5C5C5C;
        opacity: 1;
    }

    .ast-sticky-add-to-cart-action-wrap .button.single_add_to_cart_button {
        width: 100%;
        min-width: 300px;
        flex-grow: 1;
        margin: 0;
        padding: 18px 5px;
        border-radius: 80px;
        border: none;
        color: white;
        background-color: black;
        text-align: center;
    }
}

@media (min-width: 1580px) {
    body.single-product {
        .ast-sticky-add-to-cart > .ast-container {
            padding-right: 200px;
        }
    }
}

@media (max-width: 1279px) {
    body.single-product {
        .ast-sticky-add-to-cart .ast-sticky-add-to-cart-content {
            min-height: 39px;
        }
        .ast-sticky-add-to-cart > .ast-container {
            padding: 0 16px;
        }
        .ast-sticky-add-to-cart .ast-sticky-add-to-cart-content .ast-sticky-add-to-cart-title-wrap,
        .ast-sticky-add-to-cart-action-wrap .quantity {
            display: none;
        }
        .ast-sticky-add-to-cart-action-wrap {
            width: 100%;
            max-width: 100%;
            justify-content: space-between;
        }
        .ast-sticky-add-to-cart-action-wrap .cart {
            width: auto;
        }
        .ast-sticky-add-to-cart-action-wrap .ast-sticky-add-to-cart-action-price {
            display: flex;
            flex-direction: column;
            gap: 8px;
            padding-right: 20px;
            font-size: 24px;
            line-height: 1;
        }
        .ast-sticky-add-to-cart-action-wrap .ast-sticky-add-to-cart-action-price del {
            font-size: 14px;
            line-height: 1;
            font-weight: 400;
        }
        .ast-sticky-add-to-cart-action-wrap .button.single_add_to_cart_button {
            padding: 12px 16px;
            min-width: 154px;
            width: fit-content;
            flex-grow: unset;
        }
    }
}

@media (max-width: 479px) {
    body.single-product {
        .ast-sticky-add-to-cart-action-wrap .button.single_add_to_cart_button {
            font-size: 12px;
        }
    }
}
